#
# spec file for package jade4j
#
# Copyright (c) 2022 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%global upstream_name jade4j-jade4j

Name:           jade4j
Version:        1.2.7
Release:        3.11
License:        MIT
Summary:        Java implementation of the jade templating
URL:            https://github.com/neuland/jade4j
Group:          Development/Libraries/Java
Source0:        jade4j-jade4j-1.2.7.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  java-devel >= 11
BuildArch:      noarch
BuildRequires:  fdupes
BuildRequires:  maven-local
BuildRequires:  mvn(com.googlecode.concurrentlinkedhashmap:concurrentlinkedhashmap-lru)
BuildRequires:  mvn(commons-collections:commons-collections)
BuildRequires:  mvn(commons-io:commons-io)
BuildRequires:  mvn(org.apache.commons:commons-jexl)
BuildRequires:  mvn(org.apache.commons:commons-lang3)
BuildRequires:  mvn(org.pegdown:pegdown)
BuildRequires:  mvn(org.sonatype.oss:oss-parent:pom:)

%description
Java implementation of the jade templating - jade4j's intention is to be able to process jade templates in Java
without the need of a JavaScript environment, while being fully compatible with the original jade syntax.

%package javadoc
Summary:        Javadoc for %{name}

%description javadoc
This package contains javadoc for %{name}

%prep
%setup -q -n %{upstream_name}-%{version}

find \( -name '*.jar' -o -name '*.class' \) -delete

%pom_remove_plugin :maven-source-plugin
%pom_remove_plugin :maven-javadoc-plugin

%build
%{mvn_build} -s -f -- -Dsource=8 -Drelease=8

%install
%mvn_install
%fdupes -s %{buildroot}%{_javadocdir}

%files -f .mfiles-jade4j
%license LICENSE

%files javadoc -f .mfiles-javadoc
%license LICENSE

%changelog
* Mon May  1 2023 Stefan Bluhm <stefan.bluhm@clacee.eu>
- Use xmvn javadoc generation instead of maven-javadoc-plugin to
  allow build on Enterprise Linux. Maven-javadoc-plugin is not
  available there anymore.
* Sat Jun  4 2022 Michael Calmer <mc@suse.com>
- Update to version 1.2.7
- Removed:
  * build.sh
* Tue Jan  5 2021 Johannes Renner <jrenner@suse.com>
- Update to version 1.2.5
- Removed:
  * 0001-JDK9-compatibility-fixes.patch
  * 0002-Javadoc-fix.patch
  * 0003-Update-commons-lang3.patch
* Sat Nov 28 2020 Michael Calmer <mc@suse.com>
- build always with java 11 or higher
- disable test on CentOS 8
* Fri Nov 29 2019 Julio González Gil <jgonzalez@suse.com>
- Fix conditional java/java-devel requires based on version, as for
  SLE12 it didn't require java-ibm, and sleversion macro requires
  two extra digits
* Tue Feb 26 2019 Frantisek Kobzik <fkobzik@suse.com>
- Conditional java/java-devel requires based on os version
* Mon Feb 25 2019 jrenner@suse.com
- Update dependency version for commons-lang3 to 3.4
- Add:
  * 0001-JDK9-compatibility-fixes.patch
  * 0002-Javadoc-fix.patch
  * 0003-Update-commons-lang3.patch
- Removed:
  * v1.0.7-jdk9.patch
  * jade4j-javadoc.patch
* Tue Feb  5 2019 mc@suse.com
- fix building javadoc
- Add:
  * jade4j-javadoc.patch
* Tue Nov  7 2017 jgonzalez@suse.com
- Fix build for JDK9
- Add:
  * v1.0.7-jdk9.patch
* Mon Jan 25 2016 mc@suse.de
- require apache-commons-collections 3.2.2
* Mon Nov 16 2015 moio@suse.com
- Updated to 1.0.7
* Mon Oct 12 2015 smoioli@suse.com
- Initial version
